%define	version	8.1.5
%define	release 3mdk

Summary:	GNOME GUI Tool for Proftpd Server Configuration
Name:		gproftpd
Version:	%{version}
Release:	%{release}
Group:		System/Configuration/Networking
License:	GPL
URL:		http://mange.dynup.net/linux.html
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

# http://mange.dynup.net/linux/gproftpd/%{name}-%{version}.tar.gz
Source:		%{name}-%{version}.tar.bz2

Requires:	proftpd >= 1.2.8
Requires:	usermode
BuildRequires:	gtk+2-devel

%description
GProftpd is a fast and easy to use GNOME2 administration tool for
the Proftpd standalone server.

%prep
%setup -q

%build
# (Abel) otherwise it would try to find files such as /var/lib/log/xferlog
%define _localstatedir /var

%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall
rm -fr $RPM_BUILD_ROOT/%_docdir

# Mandrake Icons
install -D -m644 pixmaps/gproftpd32.png %{buildroot}%{_iconsdir}/%{name}.png
install -D -m644 pixmaps/gproftpd16.png %{buildroot}%{_miconsdir}/%{name}.png
install -D -m644 pixmaps/gproftpd48.png %{buildroot}%{_liconsdir}/%{name}.png

# Mandrake Menus
install -d %{buildroot}/%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): \
 command="%{_sbindir}/%{name}" \
 title="GProftpd" \
 longtitle="Proftpd administration tool" \
 needs="x11" \
 icon="%{name}.png" \
 section="Configuration/Networking"
EOF

# Prepare usermode entry
mv %{buildroot}%{_sbindir}/gproftpd %{buildroot}%{_sbindir}/gproftpd.real
ln -s %{_bindir}/consolehelper %{buildroot}%{_sbindir}/gproftpd

mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps
cat > %{buildroot}%{_sysconfdir}/security/console.apps/%{name} <<_EOF_
USER=root
PROGRAM=%{_sbindir}/gproftpd.real
SESSION=true
FALLBACK=false
_EOF_

# PAM entry
mkdir -p %{buildroot}%{_sysconfdir}/pam.d
cat > %{buildroot}%{_sysconfdir}/pam.d/%{name} <<_EOF_
#%PAM-1.0
auth       sufficient   pam_rootok.so
auth       sufficient	pam_timestamp.so
auth       required	pam_stack.so service=system-auth
session    required	pam_permit.so
session    optional     pam_xauth.so
session    optional	pam_timestamp.so
account    required     pam_permit.so
_EOF_

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog README
%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}
%{_sbindir}/*
%{_datadir}/pixmaps/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%defattr(0600,root,root,0700)
%config(noreplace) %{_sysconfdir}/%{name}

%changelog
* Wed Feb 11 2004 Austin Acton <austin@mandrake.org> 8.1.5-1mdk
- 8.1.5

* Tue Jan 27 2004 Abel Cheung <deaddog@deaddog.org> 8.1.4-3mdk
- Allow sudo-like privilege for short time after authentication,
  and use system-auth instead of pwdb

* Fri Jan 16 2004 Stefan van der Eijk <stefan@eijk.nu> 8.1.4-2mdk
- reupload

* Fri Jan 9 2004 Austin Acton <austin@linux.ca> 8.1.4-1mdk
- 8.1.4

* Tue Jan 6 2004 Austin Acton <austin@linux.ca> 8.1.3-1mdk
- 8.1.3

* Mon Dec 29 2003 Austin Acton <austin@linux.ca> 8.1.2-1mdk
- 8.1.2

* Sat Dec 27 2003 Austin Acton <austin@linux.ca> 8.1.1-1mdk
- 8.1.1

* Wed Nov 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 8.1.0-1mdk
- 8.1.0

* Sun Oct 26 2003 Abel Cheung <deaddog@deaddog.org> 8.0.9-1mdk
- 8.0.9
- Fix buildrequires, group etc
- Register usermode entry instead of using gksu, because gksu
  seems won't work with XIM

* Wed Sep 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 8.0.8-1mdk
- 8.0.8

* Thu Aug 28 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 8.0.7-2mdk
- buildrequires pkgconfig

* Tue Aug 26 2003 Austin Acton <aacton@yorku.ca> 8.0.7-1mdk
- 8.0.7
- prompt for root password
- simplify install
- remove a few extraneous (build)requires
- use Mandrake icon system

* Sun Aug 24 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 8.0.6-1mdk
- 8.0.6
- use the %%configure2_5x macro

* Wed Jul 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 8.0.5-1mdk
- 8.0.5

* Wed May 14 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 8.0.4-1mdk
- 8.0.4
- added the %{_bindir}/gprostats utility

* Fri Apr 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 8.0.3-1mdk
- 8.0.3
- misc spec file fixes

* Sun Jan 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 8.0.1-1mdk
- 8.0.1

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 8.0.0-2mdk
- build release

* Fri Aug 30 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 8.0.0-1mdk
- new gnome2 version + icons, thanks Magnus!
- first try at a menu entry for gproftpd

* Thu Aug 29 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 7.4.3-2mdk
- fix BuildRequires and %%description

* Wed Aug 28 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 7.4.3-1mdk
- used the GnoSamba spec file as template
- initial cooker contrib

